PrefabFiles = {
	"reptar",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/reptar.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/reptar.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/reptar.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/reptar.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/reptar_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/reptar_silho.xml" ),

    Asset( "IMAGE", "bigportraits/reptar.tex" ),
    Asset( "ATLAS", "bigportraits/reptar.xml" ),
	
	Asset("IMAGE", "images/reptaricon.tex"),
    Asset("ATLAS", "images/reptaricon.xml"),
	
}

-- ICONS MINIMAP
AddMinimapAtlas("images/reptaricon.xml")

-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.reptar = "The hungry dinosaur."
GLOBAL.STRINGS.CHARACTER_NAMES.reptar = "Reptar"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.reptar = "*Always hungry!\n*Can eat monster meat.\n*No stale penalties."
GLOBAL.STRINGS.CHARACTER_QUOTES.reptar = "\"I am starving as usual.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name

local require = GLOBAL.require 
local STRINGS = GLOBAL.STRINGS
 
STRINGS.CHARACTERS.REPTAR = require "speech_reptar"

-- Let the game know Wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "reptar")
AddModCharacter("reptar")
